﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{EED9ABAC-B138-41A0-9A05-F7565DF9A629}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Dash.Application</RootNamespace>
    <AssemblyName>Dash.Application</AssemblyName>
    <TargetFrameworkVersion>v4.5.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Commands\Dashboards\AssignChartToDashboard.cs" />
    <Compile Include="Commands\Dashboards\ChangeChartType.cs" />
    <Compile Include="Commands\Dashboards\DashboardService.cs" />
    <Compile Include="Commands\Dashboards\SetChartQuery.cs" />
    <Compile Include="Commands\Dashboards\StartNewDashboard.cs" />
    <Compile Include="Commands\DataSources\DataSourceService.cs" />
    <Compile Include="Commands\DataSources\GenerateDataSource.cs" />
    <Compile Include="Commands\Designers\DesignerService.cs" />
    <Compile Include="Commands\Designers\NewDesigner.cs" />
    <Compile Include="Commands\IIdGenerator.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Commands\Templates\" />
    <Folder Include="Queries\" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Domain\Dash.Core\Dash.Core.csproj">
      <Project>{7f902331-b32e-445d-b933-807f10db8fa8}</Project>
      <Name>Dash.Core</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Infrastructure\Dash.Infrastructure.Services\Dash.Infrastructure.Services.csproj">
      <Project>{9259e134-3828-42d1-94a9-817be0b9a829}</Project>
      <Name>Dash.Infrastructure.Services</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>